import discord
from cpl_query.extension import List

from bot_data.model.user import User


class ActiveEvent:
    def __init__(self, event: discord.ScheduledEvent):
        self._event = event
        self._participants = List(User)

    @property
    def event(self) -> discord.ScheduledEvent:
        return self._event

    @property
    def participants(self) -> List[User]:
        return self._participants
